## org.apache.solr.common.params
Class AppendedSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.DefaultSolrParams
              org.apache.solr.common.params.AppendedSolrParams

All Implemented Interfaces:
  Serializable

    public class AppendedSolrParams

extends DefaultSolrParams

SolrParams wrapper which acts similar to DefaultSolrParams except that it "appends" the values of multi-value params from both sub instances, so that all of the values are returned.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.common.params.DefaultSolrParams
`defaults, params`

Constructor Summary
`AppendedSolrParams(SolrParams main, SolrParams extra)`

Method Summary
`String[]` `getParams(String param)` returns an array of the String values of a param, or null if none
`String` `toString()`

Methods inherited from class org.apache.solr.common.params.DefaultSolrParams
`get, getParameterNamesIterator`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getFieldBool, getFieldBool, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppendedSolrParams

    public AppendedSolrParams(SolrParams main,
                              SolrParams extra)

Method Detail

### getParams

    public String[] getParams(String param)

  Description copied from class: `SolrParams`
  returns an array of the String values of a param, or null if none

  Overrides:
    `getParams` in class `DefaultSolrParams`

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultSolrParams`

Copyright © 2010 Apache Software Foundation. All Rights Reserved.